<?php

return array(
    // WordPressの設定ファイルwp-config.phpから以下の項目を取得して設定します。
    'DB_NAME' => 'wp',
    'DB_USER' => 'root',
    'DB_PASSWORD' => 'root',
    'DB_HOST' => 'localhost',
    'DB_CHARSET' => 'utf8',

    // 商品データのソース
    // 投稿またはカスタム投稿タイプのいずれかを指定します。
    //
    // 投稿を商品データをして利用する場合は 'post_type:post' を指定します。
    // 'dataSource' => 'post_type:post',
    // 投稿の特定のカテゴリを商品データとして利用する場合は以下の通りカテゴリIDを指定します。
    //	'dataSource' => 'category:3',
    // 複数のカテゴリを指定する場合はカンマで区切ります。
    //	'dataSource' => 'category:3,4',
    // カスタム投稿タイプを商品データとして利用する場合は、カスタム投稿タイプを指定します。
    //	'dataSource' => 'post_type:sc_item',
    // カスタム投稿タイプを複数指定する場合カンマで区切ります。
    //	'dataSource' => 'post_type:sc_item,sc_item2',
    //
//	'dataSource' => 'post_type:post',
//	'dataSource' => 'post_type:sc_item',
    'dataSource' => 'category:2,3,4',

    // 商品データの項目と投稿（またはカスタム投稿タイプ）の項目名を関連付けます。
    //
    // 投稿（カスタム投稿タイプ）の項目と関連付ける場合は、'post:xxxx' と指定します。
    // xxxxの部分を実際の項目名に置き換えます。
    // カスタムフィールドと関連付ける場合、'custom:xxxx'と指定します。xxxxの部分を実際の項目名に置き換えます。
    //
    // 商品ID
    //	'itemId' => 'post:ID',
    'itemId' => 'custom:item_id',

    // 商品名
    'itemName' => 'post:post_title',

    // 価格
    'itemPrice' => 'custom:price',

    // グループID
    'itemGroupId' => 'custom:group_id',

    // 在庫数
    // カスタムフィールドのみサポートします。
    'itemStock' => 'custom:stock',

    // 重量
    'itemWeight' => 'custom:weight',
);
